agents.context

## Class Experiment

- java.lang.Object
- - agents.context.Experiment

All Implemented Interfaces:
  java.io.Serializable

    public class Experiment
    extends java.lang.Object
    implements java.io.Serializable

The Class Experiment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Experiment()` Instantiates a new experiment.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDimension(Percept p, double d)` Adds the dimension.
`double` `getProposition()` Gets the proposition.
`java.util.HashMap<Percept,java.lang.Double>` `getRanges()` Gets the ranges.
`java.util.LinkedHashMap<Percept,java.lang.Double>` `getValues()` Gets the values.
`double[]` `getValuesAsArray()` Gets the values as array.
`void` `setProposition(double proposition)` Sets the proposition.
`void` `setValues(java.util.LinkedHashMap<Percept,java.lang.Double> ranges)` Sets the values.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Experiment

    public Experiment()

Instantiates a new experiment.

### Method Detail

#### getRanges

    public java.util.HashMap<Percept,java.lang.Double> getRanges()

Gets the ranges.

Returns:
  the ranges

#### setValues

    public void setValues(java.util.LinkedHashMap<Percept,java.lang.Double> ranges)

Sets the values.

Parameters:
  `ranges` - the ranges

#### getValues

    public java.util.LinkedHashMap<Percept,java.lang.Double> getValues()

Gets the values.

Returns:
  the values

#### addDimension

    public void addDimension(Percept p,
                             double d)

Adds the dimension.

Parameters:
  `p` - the p
  `d` - the d

#### getProposition

    public double getProposition()

Gets the proposition.

Returns:
  the proposition

#### setProposition

    public void setProposition(double proposition)

Sets the proposition.

Parameters:
  `proposition` - the new proposition

#### getValuesAsArray

    public double[] getValuesAsArray()

Gets the values as array.

Returns:
  the values as array